Home Home > GIT Browse > scripts
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichal Kubecek <mkubecek@suse.cz>2018-11-04 13:32:49 +0100
committerMichal Kubecek <mkubecek@suse.cz>2018-11-04 14:12:28 +0100
commit0d0454aa50d673cc1744cf411a27f6660905e875 (patch)
treeec4790b3348273073e50f156e97edac2741b2ccd
parent379ad30a30c0851d6a7528e5c4c286f810491e85 (diff)
scripts: use syncconfig instead of silentoldconfig where available
Since mainline commit 0085b4191f3e ("kconfig: remove silentoldconfig target"), "make silentoldconfig" can be no longer used. Use "make syncconfig" instead if available.
-rwxr-xr-xscripts/run_oldconfig.sh8
-rwxr-xr-xscripts/sequence-patch.sh8
2 files changed, 14 insertions, 2 deletions
diff --git a/scripts/run_oldconfig.sh b/scripts/run_oldconfig.sh
index fadac621ee..123ab38243 100755
--- a/scripts/run_oldconfig.sh
+++ b/scripts/run_oldconfig.sh
@@ -24,6 +24,12 @@
# dirty scroll region tricks ...
use_region=false
+if test -f scripts/kconfig/Makefile && \
+ grep -q syncconfig scripts/kconfig/Makefile; then
+ syncconfig="syncconfig"
+else
+ syncconfig="silentoldconfig"
+fi
function _region_init_ () {
echo -ne '\x1b[H\033[J' # clear screen
@@ -456,7 +462,7 @@ for config in $config_files; do
*)
_region_msg_ "working on $config"
if $check; then
- if ! make $MAKE_ARGS silentoldconfig </dev/null; then
+ if ! make $MAKE_ARGS $syncconfig </dev/null; then
echo "${config#$prefix} is out of date"
err=1
rm $config_orig
diff --git a/scripts/sequence-patch.sh b/scripts/sequence-patch.sh
index a1bd7b817f..75fa028ba6 100755
--- a/scripts/sequence-patch.sh
+++ b/scripts/sequence-patch.sh
@@ -667,8 +667,14 @@ if test -n "$CONFIG"; then
echo "[ No kABI references for $CONFIG ]"
fi
fi
+ if test -f ${PATCH_DIR}/scripts/kconfig/Makefile && \
+ grep -q syncconfig ${PATCH_DIR}/scripts/kconfig/Makefile; then
+ syncconfig="syncconfig"
+ else
+ syncconfig="silentoldconfig"
+ fi
test "$SP_BUILD_DIR" != "$PATCH_DIR" && \
- make -C $PATCH_DIR O=$SP_BUILD_DIR -s silentoldconfig
+ make -C $PATCH_DIR O=$SP_BUILD_DIR -s $syncconfig
fi
# Some archs we use for the config do not exist or have a different name in the